Summary: A cross-platform application development environment.
Name: vt
Version: 1.2.0
Release: 2
Requires: tcl tk
Copyright: GPL
Group: Development/Tools
Source: vt-1.2.0.tar.gz
Url:http://www.neuron.com/stewart/vtcl/
Patch0: vt-1.2.0-config.patch
Buildroot: /var/tmp/vt-root

%description
Visual Tcl is a freely-available, high-quality application development
environment for Unix, Windows and Macintosh platforms.  Since it was
written entirely in Tcl (no external libraries required) and generates
pure Tcl, porting should be either unnecessary or trivial.  Visual Tcl
includes extensible widget and geometry manager support, support for
the creation of compound widgets and widget libraries, a GUI interface
for most aspects of Tcl/Tk development, and support for the
importation of pre-existing Tcl/Tk code.  Visual Tcl can export
Tclets, which will run in Netscape or MSIE.

%prep
%setup -q -n vtcl-%{version} 
%patch0 -p1 -b .tim

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 vtcl $RPM_BUILD_ROOT/usr/bin/vtcl
mkdir -p $RPM_BUILD_ROOT/usr/lib/vt
cp -ar * $RPM_BUILD_ROOT/usr/lib/vt
cd $RPM_BUILD_ROOT/usr/lib/vt
find . -name '*.orig' -exec rm -f {} \;

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Announce LICENSE Announce ChangeLog
/usr/bin/vtcl
/usr/lib/vt

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Jul 1 1999 Tim Powers
- new version
- built package for Powertools

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- checked package and spec file.
- added build root and clean
- added changelog
- added wmconfig

